<div class="front_page_section front_page_section_about<?php
	$parish_scheme = parish_get_theme_option( 'front_page_about_scheme' );
	if ( ! empty( $parish_scheme ) && ! parish_is_inherit( $parish_scheme ) ) {
		echo ' scheme_' . esc_attr( $parish_scheme );
	}
	echo ' front_page_section_paddings_' . esc_attr( parish_get_theme_option( 'front_page_about_paddings' ) );
	if ( parish_get_theme_option( 'front_page_about_stack' ) ) {
		echo ' sc_stack_section_on';
	}
?>"
		<?php
		$parish_css      = '';
		$parish_bg_image = parish_get_theme_option( 'front_page_about_bg_image' );
		if ( ! empty( $parish_bg_image ) ) {
			$parish_css .= 'background-image: url(' . esc_url( parish_get_attachment_url( $parish_bg_image ) ) . ');';
		}
		if ( ! empty( $parish_css ) ) {
			echo ' style="' . esc_attr( $parish_css ) . '"';
		}
		?>
>
<?php
	// Add anchor
	$parish_anchor_icon = parish_get_theme_option( 'front_page_about_anchor_icon' );
	$parish_anchor_text = parish_get_theme_option( 'front_page_about_anchor_text' );
if ( ( ! empty( $parish_anchor_icon ) || ! empty( $parish_anchor_text ) ) && shortcode_exists( 'trx_sc_anchor' ) ) {
	echo do_shortcode(
		'[trx_sc_anchor id="front_page_section_about"'
									. ( ! empty( $parish_anchor_icon ) ? ' icon="' . esc_attr( $parish_anchor_icon ) . '"' : '' )
									. ( ! empty( $parish_anchor_text ) ? ' title="' . esc_attr( $parish_anchor_text ) . '"' : '' )
									. ']'
	);
}
?>
	<div class="front_page_section_inner front_page_section_about_inner
	<?php
	if ( parish_get_theme_option( 'front_page_about_fullheight' ) ) {
		echo ' parish-full-height sc_layouts_flex sc_layouts_columns_middle';
	}
	?>
			"
			<?php
			$parish_css           = '';
			$parish_bg_mask       = parish_get_theme_option( 'front_page_about_bg_mask' );
			$parish_bg_color_type = parish_get_theme_option( 'front_page_about_bg_color_type' );
			if ( 'custom' == $parish_bg_color_type ) {
				$parish_bg_color = parish_get_theme_option( 'front_page_about_bg_color' );
			} elseif ( 'scheme_bg_color' == $parish_bg_color_type ) {
				$parish_bg_color = parish_get_scheme_color( 'bg_color', $parish_scheme );
			} else {
				$parish_bg_color = '';
			}
			if ( ! empty( $parish_bg_color ) && $parish_bg_mask > 0 ) {
				$parish_css .= 'background-color: ' . esc_attr(
					1 == $parish_bg_mask ? $parish_bg_color : parish_hex2rgba( $parish_bg_color, $parish_bg_mask )
				) . ';';
			}
			if ( ! empty( $parish_css ) ) {
				echo ' style="' . esc_attr( $parish_css ) . '"';
			}
			?>
	>
		<div class="front_page_section_content_wrap front_page_section_about_content_wrap content_wrap">
			<?php
			// Caption
			$parish_caption = parish_get_theme_option( 'front_page_about_caption' );
			if ( ! empty( $parish_caption ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
				?>
				<h2 class="front_page_section_caption front_page_section_about_caption front_page_block_<?php echo ! empty( $parish_caption ) ? 'filled' : 'empty'; ?>"><?php echo wp_kses( $parish_caption, 'parish_kses_content' ); ?></h2>
				<?php
			}

			// Description (text)
			$parish_description = parish_get_theme_option( 'front_page_about_description' );
			if ( ! empty( $parish_description ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
				?>
				<div class="front_page_section_description front_page_section_about_description front_page_block_<?php echo ! empty( $parish_description ) ? 'filled' : 'empty'; ?>"><?php echo wp_kses( wpautop( $parish_description ), 'parish_kses_content' ); ?></div>
				<?php
			}

			// Content
			$parish_content = parish_get_theme_option( 'front_page_about_content' );
			if ( ! empty( $parish_content ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
				?>
				<div class="front_page_section_content front_page_section_about_content front_page_block_<?php echo ! empty( $parish_content ) ? 'filled' : 'empty'; ?>">
					<?php
					$parish_page_content_mask = '%%CONTENT%%';
					if ( strpos( $parish_content, $parish_page_content_mask ) !== false ) {
						$parish_content = preg_replace(
							'/(\<p\>\s*)?' . $parish_page_content_mask . '(\s*\<\/p\>)/i',
							sprintf(
								'<div class="front_page_section_about_source">%s</div>',
								apply_filters( 'the_content', get_the_content() )
							),
							$parish_content
						);
					}
					parish_show_layout( $parish_content );
					?>
				</div>
				<?php
			}
			?>
		</div>
	</div>
</div>
