<div class="front_page_section front_page_section_features<?php
	$parish_scheme = parish_get_theme_option( 'front_page_features_scheme' );
	if ( ! empty( $parish_scheme ) && ! parish_is_inherit( $parish_scheme ) ) {
		echo ' scheme_' . esc_attr( $parish_scheme );
	}
	echo ' front_page_section_paddings_' . esc_attr( parish_get_theme_option( 'front_page_features_paddings' ) );
	if ( parish_get_theme_option( 'front_page_features_stack' ) ) {
		echo ' sc_stack_section_on';
	}
?>"
		<?php
		$parish_css      = '';
		$parish_bg_image = parish_get_theme_option( 'front_page_features_bg_image' );
		if ( ! empty( $parish_bg_image ) ) {
			$parish_css .= 'background-image: url(' . esc_url( parish_get_attachment_url( $parish_bg_image ) ) . ');';
		}
		if ( ! empty( $parish_css ) ) {
			echo ' style="' . esc_attr( $parish_css ) . '"';
		}
		?>
>
<?php
	// Add anchor
	$parish_anchor_icon = parish_get_theme_option( 'front_page_features_anchor_icon' );
	$parish_anchor_text = parish_get_theme_option( 'front_page_features_anchor_text' );
if ( ( ! empty( $parish_anchor_icon ) || ! empty( $parish_anchor_text ) ) && shortcode_exists( 'trx_sc_anchor' ) ) {
	echo do_shortcode(
		'[trx_sc_anchor id="front_page_section_features"'
									. ( ! empty( $parish_anchor_icon ) ? ' icon="' . esc_attr( $parish_anchor_icon ) . '"' : '' )
									. ( ! empty( $parish_anchor_text ) ? ' title="' . esc_attr( $parish_anchor_text ) . '"' : '' )
									. ']'
	);
}
?>
	<div class="front_page_section_inner front_page_section_features_inner
	<?php
	if ( parish_get_theme_option( 'front_page_features_fullheight' ) ) {
		echo ' parish-full-height sc_layouts_flex sc_layouts_columns_middle';
	}
	?>
			"
			<?php
			$parish_css      = '';
			$parish_bg_mask  = parish_get_theme_option( 'front_page_features_bg_mask' );
			$parish_bg_color_type = parish_get_theme_option( 'front_page_features_bg_color_type' );
			if ( 'custom' == $parish_bg_color_type ) {
				$parish_bg_color = parish_get_theme_option( 'front_page_features_bg_color' );
			} elseif ( 'scheme_bg_color' == $parish_bg_color_type ) {
				$parish_bg_color = parish_get_scheme_color( 'bg_color', $parish_scheme );
			} else {
				$parish_bg_color = '';
			}
			if ( ! empty( $parish_bg_color ) && $parish_bg_mask > 0 ) {
				$parish_css .= 'background-color: ' . esc_attr(
					1 == $parish_bg_mask ? $parish_bg_color : parish_hex2rgba( $parish_bg_color, $parish_bg_mask )
				) . ';';
			}
			if ( ! empty( $parish_css ) ) {
				echo ' style="' . esc_attr( $parish_css ) . '"';
			}
			?>
	>
		<div class="front_page_section_content_wrap front_page_section_features_content_wrap content_wrap">
			<?php
			// Caption
			$parish_caption = parish_get_theme_option( 'front_page_features_caption' );
			if ( ! empty( $parish_caption ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
				?>
				<h2 class="front_page_section_caption front_page_section_features_caption front_page_block_<?php echo ! empty( $parish_caption ) ? 'filled' : 'empty'; ?>"><?php echo wp_kses( $parish_caption, 'parish_kses_content' ); ?></h2>
				<?php
			}

			// Description (text)
			$parish_description = parish_get_theme_option( 'front_page_features_description' );
			if ( ! empty( $parish_description ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
				?>
				<div class="front_page_section_description front_page_section_features_description front_page_block_<?php echo ! empty( $parish_description ) ? 'filled' : 'empty'; ?>"><?php echo wp_kses( wpautop( $parish_description ), 'parish_kses_content' ); ?></div>
				<?php
			}

			// Content (widgets)
			?>
			<div class="front_page_section_output front_page_section_features_output">
				<?php
				if ( is_active_sidebar( 'front_page_features_widgets' ) ) {
					dynamic_sidebar( 'front_page_features_widgets' );
				} elseif ( current_user_can( 'edit_theme_options' ) ) {
					if ( ! parish_exists_trx_addons() ) {
						parish_customizer_need_trx_addons_message();
					} else {
						parish_customizer_need_widgets_message( 'front_page_features_caption', 'ThemeREX Addons - Services' );
					}
				}
				?>
			</div>
		</div>
	</div>
</div>
