<?php
/**
 * The template to display the copyright info in the footer
 *
 * @package PARISH
 * @since PARISH 1.0.10
 */

// Copyright area
?> 
<div class="footer_copyright_wrap
<?php
$parish_copyright_scheme = parish_get_theme_option( 'copyright_scheme' );
if ( ! empty( $parish_copyright_scheme ) && ! parish_is_inherit( $parish_copyright_scheme  ) ) {
	echo ' scheme_' . esc_attr( $parish_copyright_scheme );
}
?>
				">
	<div class="footer_copyright_inner">
		<div class="content_wrap">
			<div class="copyright_text">
			<?php
				$parish_copyright = parish_get_theme_option( 'copyright' );
			if ( ! empty( $parish_copyright ) ) {
				// Replace {{Y}} or {Y} with the current year
				$parish_copyright = str_replace( array( '{{Y}}', '{Y}' ), date( 'Y' ), $parish_copyright );
				// Replace {{...}} and ((...)) on the <i>...</i> and <b>...</b>
				$parish_copyright = parish_prepare_macros( $parish_copyright );
				// Display copyright
				echo wp_kses( nl2br( $parish_copyright ), 'parish_kses_content' );
			}
			?>
			</div>
		</div>
	</div>
</div>
