<?php
/**
 * The template to display default site footer
 *
 * @package PARISH
 * @since PARISH 1.0.10
 */

$parish_footer_id = parish_get_custom_footer_id();
$parish_footer_meta = get_post_meta( $parish_footer_id, 'trx_addons_options', true );
if ( ! empty( $parish_footer_meta['margin'] ) ) {
	parish_add_inline_css( sprintf( '.page_content_wrap{padding-bottom:%s}', esc_attr( parish_prepare_css_value( $parish_footer_meta['margin'] ) ) ) );
}
?>
<footer class="footer_wrap footer_custom footer_custom_<?php echo esc_attr( $parish_footer_id ); ?> footer_custom_<?php echo esc_attr( sanitize_title( get_the_title( $parish_footer_id ) ) ); ?>
						<?php
						$parish_footer_scheme = parish_get_theme_option( 'footer_scheme' );
						if ( ! empty( $parish_footer_scheme ) && ! parish_is_inherit( $parish_footer_scheme  ) ) {
							echo ' scheme_' . esc_attr( $parish_footer_scheme );
						}
						?>
						">
	<?php
	// Custom footer's layout
	do_action( 'parish_action_show_layout', $parish_footer_id );
	?>
</footer><!-- /.footer_wrap -->
