<?php
/**
 * The template to display the background video in the header
 *
 * @package PARISH
 * @since PARISH 1.0.14
 */
$parish_header_video = parish_get_header_video();
$parish_embed_video  = '';
if ( ! empty( $parish_header_video ) && ! parish_is_from_uploads( $parish_header_video ) ) {
	if ( parish_is_youtube_url( $parish_header_video ) && preg_match( '/[=\/]([^=\/]*)$/', $parish_header_video, $matches ) && ! empty( $matches[1] ) ) {
		?><div id="background_video" data-youtube-code="<?php echo esc_attr( $matches[1] ); ?>"></div>
		<?php
	} else {
		?>
		<div id="background_video"><?php parish_show_layout( parish_get_embed_video( $parish_header_video ) ); ?></div>
		<?php
	}
}
