<?php
/**
 * The template to display default site footer
 *
 * @package PARISH
 * @since PARISH 1.0.10
 */

?>
<footer class="footer_wrap footer_default
<?php
$parish_footer_scheme = parish_get_theme_option( 'footer_scheme' );
if ( ! empty( $parish_footer_scheme ) && ! parish_is_inherit( $parish_footer_scheme  ) ) {
	echo ' scheme_' . esc_attr( $parish_footer_scheme );
}
?>
				">
	<?php

	// Footer widgets area
	get_template_part( apply_filters( 'parish_filter_get_template_part', 'templates/footer-widgets' ) );

	// Logo
	get_template_part( apply_filters( 'parish_filter_get_template_part', 'templates/footer-logo' ) );

	// Socials
	get_template_part( apply_filters( 'parish_filter_get_template_part', 'templates/footer-socials' ) );

	// Copyright area
	get_template_part( apply_filters( 'parish_filter_get_template_part', 'templates/footer-copyright' ) );

	?>
</footer><!-- /.footer_wrap -->
